//************************************************************************
//
//	SSLSocket.h
//
//	by Jrgen Mllenhoff <jumo@oic.de>		
//
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//************************************************************************

#import <stdio.h>	// I need this for the ssl include
#import <ssl.h>

#import <OmniFoundation/OmniTCPSocket.h>

@interface SSLSocket : OmniTCPSocket
{
@private
   	SSL			*_sslHandle;
}

+ (SSLSocket *)sslSocket;

- (void)sslConnect;

- (BOOL)isSecureConnection;
- (SSL *)sslHandle;
- (unsigned int)bits;
- (NSString *)protocolString;
- (NSString *)cipherString;

@end
