//************************************************************************
//
//	HTTPSInformation.h
//
//	by Jrgen Mllenhoff <jumo@oic.de>		
//
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//************************************************************************

#import <OmniFoundation/OmniObject.h>

@class	HTTPSProcessor;
@class	NSString;

@interface HTTPSInformation : OmniObject
{
@public
	id	panel;
	id	scrollView;

@private
	NSString	*_infoFormatString;
	BOOL		_canceled;
	BOOL		_disablePanel;
}

+ (HTTPSInformation *)sharedHTTPSInformation;

- ok:sender;
- cancel:sender;

- disablePanel:sender;

- (BOOL)runModalWithHTTPSProcessor:(HTTPSProcessor *)processor;
- (BOOL)canceled;
- (BOOL)disablePanel;

@end
