//************************************************************************
//
//	OmniPipeline+HTTPSExtension.m
//
//	by Jrgen Mllenhoff <jumo@oic.de>		
//
//
//	This code is supplied "as is" the author makes no warranty as to its 
//	suitability for any purpose.  This code is free and may be distributed 
//	in accordance with the terms of the:
//		
//			GNU GENERAL PUBLIC LICENSE
//			Version 2, June 1991
//			copyright (C) 1989, 1991 Free Software Foundation, Inc.
// 			675 Mass Ave, Cambridge, MA 02139, USA
//
//************************************************************************

#import "OmniPipeline+HTTPSExtension.h"

#import	"HTTPSUtilities.h"

#import	<foundation/foundation.h>
#import	<OmniFoundation/OmniFoundation.h>

RCS_ID("$Header: /LocalDeveloper/CVS/HTTPSExtension/OmniPipeline+HTTPSExtension.m,v 1.1 1999/04/28 01:56:28 jurgen Exp $")

@implementation OmniPipeline (HTTPSExtension)

- (BOOL)isTopTask
{
	id	theObject;
	
	if ((context == nil) || ([context count] <= 0))
		return YES;
		
	if (([context count] != 1) || 
		((theObject =[context objectForKey:@"HTTP/Pragma"]) == nil))
		return NO;
		
	if ([theObject isKindOfClass:[NSString class]] && [theObject containsString:@"no-cache"])
		return YES;
		
	return NO;
}

@end
